summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petr Kletecka2017-06-21 17:25:33 +0200
committer Willy Sudiarto Raharjo2017-06-24 03:32:19 +0200
commit96f47475f9a1b9ac9c0dfcdb52d58df7e2e9a498 (patch)
tree3c5cc81799b544d344edab65f1cd2a9aef23c317
parentb2c81e749c0793d3f814b61dec2e0c34a9269c2b (diff)
downloadslackbuilds-96f47475f9a1b9ac9c0dfcdb52d58df7e2e9a498.tar.gz
network/swaks: Added (Swiss Army Knife for SMTP).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/swaks/README2
-rw-r--r--network/swaks/slack-desc19
-rw-r--r--network/swaks/swaks.SlackBuild46
-rw-r--r--network/swaks/swaks.info10
4 files changed, 77 insertions, 0 deletions
diff --git a/network/swaks/README b/network/swaks/README
new file mode 100644
index 0000000000..6530352fe5
--- /dev/null
+++ b/network/swaks/README
@@ -0,0 +1,2 @@
+Swaks is a featureful, flexible, scriptable, transaction-oriented
+SMTP test tool written and maintained by John Jetmore.
diff --git a/network/swaks/slack-desc b/network/swaks/slack-desc
new file mode 100644
index 0000000000..f7ad3b1d0c
--- /dev/null
+++ b/network/swaks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+swaks: swaks (Swiss Army Knife for SMTP)
+swaks:
+swaks: Swaks is a featureful, flexible, scriptable, transaction-oriented
+swaks: SMTP test tool written and maintained by John Jetmore.
+swaks:
+swaks:
+swaks:
+swaks: website: http://www.jetmore.org/john/code/swaks/
+swaks:
+swaks:
+swaks:
diff --git a/network/swaks/swaks.SlackBuild b/network/swaks/swaks.SlackBuild
new file mode 100644
index 0000000000..9109cf9072
--- /dev/null
+++ b/network/swaks/swaks.SlackBuild
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Slackware build script for swaks
+
+# Petr Kletecka petr@kle.cz <2017>
+
+PRGNAM=swaks
+VERSION=${VERSION:-20170101.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cat swaks > $PKG/usr/bin/swaks
+chmod oug+x $PKG/usr/bin/swaks
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README LICENSE doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/swaks/swaks.info b/network/swaks/swaks.info
new file mode 100644
index 0000000000..8cb0d3df58
--- /dev/null
+++ b/network/swaks/swaks.info
@@ -0,0 +1,10 @@
+PRGNAM="swaks"
+VERSION="20170101.0"
+HOMEPAGE="http://www.jetmore.org/john/code/swaks/"
+DOWNLOAD="http://www.jetmore.org/john/code/swaks/files/swaks-20170101.0.tar.gz"
+MD5SUM="d01a94a510de0c8f56605d4e857969b9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petr Kletecka"
+EMAIL="petr@kle.cz"